Use kzalloc in PPC4xx EMAC driver

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
---

 drivers/net/ibm_emac/ibm_emac_mal.c   |    3 +--
 drivers/net/ibm_emac/ibm_emac_rgmii.c |    3 +--
 drivers/net/ibm_emac/ibm_emac_zmii.c  |    3 +--
 3 files changed, 3 insertions(+), 6 deletions(-)

diff --git a/drivers/net/ibm_emac/ibm_emac_mal.c b/drivers/net/ibm_emac/ibm_emac_mal.c
index e2fb8a8..ccd9177 100644
--- a/drivers/net/ibm_emac/ibm_emac_mal.c
+++ b/drivers/net/ibm_emac/ibm_emac_mal.c
@@ -418,14 +418,13 @@ static int __init mal_probe(struct ocp_d
 		return -ENODEV;
 	}
 
-	mal = kmalloc(sizeof(struct ibm_ocp_mal), GFP_KERNEL);
+	mal = kzalloc(sizeof(struct ibm_ocp_mal), GFP_KERNEL);
 	if (!mal) {
 		printk(KERN_ERR
 		       "mal%d: out of memory allocating MAL structure!\n",
 		       ocpdev->def->index);
 		return -ENOMEM;
 	}
-	memset(mal, 0, sizeof(*mal));
 	mal->dcrbase = maldata->dcr_base;
 	mal->def = ocpdev->def;
 
diff --git a/drivers/net/ibm_emac/ibm_emac_rgmii.c b/drivers/net/ibm_emac/ibm_emac_rgmii.c
index f09f48f..f0b1ffb 100644
--- a/drivers/net/ibm_emac/ibm_emac_rgmii.c
+++ b/drivers/net/ibm_emac/ibm_emac_rgmii.c
@@ -85,14 +85,13 @@ static int __init rgmii_init(struct ocp_
 	RGMII_DBG("%d: init(%d, %d)" NL, ocpdev->def->index, input, mode);
 
 	if (!dev) {
-		dev = kmalloc(sizeof(struct ibm_ocp_rgmii), GFP_KERNEL);
+		dev = kzalloc(sizeof(struct ibm_ocp_rgmii), GFP_KERNEL);
 		if (!dev) {
 			printk(KERN_ERR
 			       "rgmii%d: couldn't allocate device structure!\n",
 			       ocpdev->def->index);
 			return -ENOMEM;
 		}
-		memset(dev, 0, sizeof(struct ibm_ocp_rgmii));
 
 		p = (struct rgmii_regs *)ioremap(ocpdev->def->paddr,
 						 sizeof(struct rgmii_regs));
diff --git a/drivers/net/ibm_emac/ibm_emac_zmii.c b/drivers/net/ibm_emac/ibm_emac_zmii.c
index 4224b06..35c1185 100644
--- a/drivers/net/ibm_emac/ibm_emac_zmii.c
+++ b/drivers/net/ibm_emac/ibm_emac_zmii.c
@@ -85,14 +85,13 @@ static int __init zmii_init(struct ocp_d
 	ZMII_DBG("%d: init(%d, %d)" NL, ocpdev->def->index, input, *mode);
 
 	if (!dev) {
-		dev = kmalloc(sizeof(struct ibm_ocp_zmii), GFP_KERNEL);
+		dev = kzalloc(sizeof(struct ibm_ocp_zmii), GFP_KERNEL);
 		if (!dev) {
 			printk(KERN_ERR
 			       "zmii%d: couldn't allocate device structure!\n",
 			       ocpdev->def->index);
 			return -ENOMEM;
 		}
-		memset(dev, 0, sizeof(struct ibm_ocp_zmii));
 		dev->mode = PHY_MODE_NA;
 
 		p = (struct zmii_regs *)ioremap(ocpdev->def->paddr,
